#!/usr/local/bin/perl

$newDataDir = "/home/darkalf1/eventsDir";
$oldDataDir = "/home/idunn1/mew/cris";

$ls = `ls $newDataDir`;
@lines = split(/\n/, $ls);

for ($i= 0; $i < @lines; $i++) {
    unless ($lines[$i] =~ /^c_\d\d\d\d\.ce1$/) { next; }
    $newFilePath = $lines[$i];

    ($day) = ($newFilePath =~ /^c_(\d\d\d\d)\.ce1$/);
    $oldFilePath = $oldDataDir . "/c_" . $day . ".ce1";
    $newFilePath = $newDataDir . "/" . $newFilePath;
    $outputFile = $newDataDir . "/diff." . $day;

    $compareCommand = "compareEventsFiles " . $oldFilePath . " " .
					$newFilePath . " > " . $outputFile;
    print "$compareCommand\n";
    `$compareCommand`;

	# make executive summary
    open(RAW_OUT, $outputFile) || die $!;
    undef(%count);
    while (<RAW_OUT>) {
	($field) = (/old->(\S*) =/);
	($diff) = (/diff = (\d+)/);
	if (!defined($count{"$field,$diff"})) { $count{"$field,$diff"} = 1; }
	else { $count{"$field,$diff"}++; }
    }
    close(RAW_OUT);

    open(SUMMARY, ">$outputFile.summary") || die $!;
    foreach $key (sort(keys(%count))) {
	($field, $diff) = split(/,/, $key);
	if ($diff =~ /\d/) { $diffStr = ", diff = $diff"; }
	else { $diffStr = ""; }
	print SUMMARY "count = $count{$key}, field = $field" . $diffStr . "\n";
    }
    close(SUMMARY);
}
